Bug 910681 - CeCILL incompatible and non-free files included.
Summary: CeCILL incompatible and non-free files included.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: scilab
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clément DAVID
QA Contact: Fedora Extras Quality Assurance
URL: http://bugzilla.scilab.org/show_bug.c...
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-02-13 09:17 UTC by mejiko
Modified: 2018-05-29 12:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:14:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 749833 None None None Never

Description mejiko 2013-02-13 09:17:38 UTC
Hello.

Scilab included non-free code.

Scilab source RPM is "scilab-5.4.0-1.fc18.src.rpm"

Files:

scilab-5.4.0/modules/randlib/src/c/fsultra.c
scilab-5.4.0/modules/randlib/src/c/mt.c

"fsultra.c" license is "no commercial use only" (commercial use must be contact).

"mt.c" license is "Artistic License". (See bug 886838)

license file is:  scilab-5.4.0/modules/randlib/license.txt

Its non-free, and CeCILL incompatible.


and CeCILL incompatible (I think) files found. 

See:

scilab-5.4.0/modules/fftw/license.txt
scilab-5.4.0/modules/data_structures/license.txt
scilab-5.4.0/modules/external_objects/license.txt
scilab-5.4.0/modules/external_objects/gui/license.txt
scilab-5.4.0/modules/localization/license.txt
scilab-5.4.0/modules/output_stream/license.txt
scilab-5.4.0/modules/polynomials/license.txt
scilab-5.4.0/modules/scicos/src/scicos_sundials/LICENSE
scilab-5.4.0/modules/scicos/src/scicos_sundials/LICENSE
scilab-5.4.0/modules/special_functions/license.txt
scilab-5.4.0/modules/spreadsheet/license.txt
scilab-5.4.0/modules/spreadsheet/src/c/ripole/LICENSE.ripole
scilab-5.4.0/modules/symbolic/license.txt
scilab-5.4.0/modules/tclsci/tcl/sciGUI/license.txt
scilab-5.4.0/modules/umfpack/UMFPACK_license.txt
scilab-5.4.0/modules/umfpack/help/en_US/taucs_license.xml
scilab-5.4.0/modules/umfpack/help/en_US/umf_license.xml
scilab-5.4.0/modules/windows_tools/license.txt
scilab-5.4.0/modules/atoms/license.txt
scilab-5.4.0/modules/call_scilab/license.txt
scilab-5.4.0/modules/data_structures/license.txt


Question:

X11, LGPL, BSD License and Apple license (See scilab-5.4.0/modules/gui/license.txt) is CeCILL comaptible ? 

Is this is "External Module" ?



Seggests:

1. Remove non-free code and rebuild.

2. Replace fedora free (Fedora acceptable licensed) files.

3. Remove Fedora repo.


Thanks.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Software_License_List
http://www.cecill.info/licences/Licence_CeCILL_V2-en.html
http://www.cecill.info/faq.en.html
http://www.cecill.info/placer.en.html#emprunt

Comment 1 mejiko 2013-02-13 09:18:20 UTC
Blocking FE-Legal, This is license problem.

Comment 2 mejiko 2013-02-14 11:57:21 UTC
Additonal non-free files:

I tried:

"find . -type f |xargs egrep -i "copyright" |less" (current directory is scilab source root directory)

and

cat ACKNOWLEDGEMENTS


File:

scilab-5.4.0/modules/gui/src/java/org/scilab/modules/gui/bridge/filechooser/FileMask.java

Its non-free. (See jai-imageio-core bug 858890) 
design use restriction.


scilab-5.4.0/libs/libst/misc.c

This license is "freely redistributable", but do not allow modify.
Its non-free.


modules/polynomials/src/fortran/rpoly.f

This is based toms library. (See scilab-5.4.0/ACKNOWLEDGEMENTS)
This license is "non-commercial use" only.
Its non-free.

See: http://www.acm.org/publications/policies/softwarecrnotice

and Reference bug: bug 676858

thanks.


Reference:

http://lists.alioth.debian.org/pipermail/debian-science-maintainers/2010-February/002743.html

http://www.netlib.org/toms/

Comment 3 Sylvestre Ledru 2013-04-03 13:28:22 UTC
Sorry about the lag.
Many thanks for the feedback, it is always interesting! 

1) mt.c issue.
The mt.c should be replaced by the one describe here:
http://forge.scilab.org/index.php/p/distfun/issues/1057/

2) fsultra issue
I think this algorithm should be removed (anyway, the feature itself should be refreshed in term of new algorithm).

3) X11, LGPL, BSD License and Apple license (See scilab-5.4.0/modules/gui/license.txt) is CeCILL comaptible ? 
=> yes, they are

4) modules/gui/src/java/org/scilab/modules/gui/bridge/filechooser/FileMask.java
I think you are wrong here.
The part used in the code is not the same as in bug 858890 and there is not this restriction

5) libs/libst/*
The code has been rewritten and the new version of the code has been integrated in Scilab 5.4.1:
http://cgit.scilab.org/cgit.cgi/scilab/commit/?h=5.4&id=879e8f383ea90da1564128dbd86d81ef17441985

6) about the rpoly, I will need to have a look on this.


PS: As a disclaimer, I am part of upstream (it is obvious with my email address ;)

Comment 4 mejiko 2013-04-06 12:42:54 UTC
If used rpoly, I suggests that replace rpoly or contact rpoly author.
Its non-free. (commercial use restriction)

If unused rpoly, I suggests that removing rpoly.

Thanks.

Comment 5 mejiko 2013-08-05 02:39:58 UTC
Fedora 19 version is not resolved this problem.

Comment 6 mejiko 2014-03-15 10:00:43 UTC
Changed to rawhide. (2014-03-03)

Is this bug is resolved ?
How it this bug current status ? 

Thanks.

Comment 7 Clément DAVID 2014-06-11 10:17:31 UTC
Work in progress, I have added the upstream bug.

Comment 8 mejiko 2015-05-07 10:00:51 UTC
Add Reference URI:

https://codereview.scilab.org/#/c/15612/

Comment 9 Jan Kurik 2015-07-15 14:51:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 10 Jan Kurik 2016-02-24 13:12:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 11 mejiko 2016-02-25 08:50:36 UTC
Is this bug is resolved ?

Thanks.

Comment 12 Clément DAVID 2016-02-29 16:43:13 UTC
After some checking, the commit is not merged and does not seems to be complete nor ready yet.

Comment 13 mejiko 2016-10-27 09:46:05 UTC
Upstream resolved this problem.

Comment 14 mejiko 2016-12-15 07:08:31 UTC
Is this bug is resolved ?

Thanks.

Comment 15 Sylvestre Ledru 2016-12-15 08:41:47 UTC
Yes, it has been fixed the 6 branch.
Debian backported the patch to the 5 branch:
https://anonscm.debian.org/viewvc/debian-science/packages/scilab/branches/5.5/debian/patches/scilab.git-f1d7f06.patch?revision=47404&view=co

Comment 16 Fedora Update System 2017-02-26 10:44:45 UTC
scilab-6.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5dcb8891d

Comment 17 Clément DAVID 2017-02-26 10:47:04 UTC
It is now fixed in the latest 6.0.0 release !

Comment 18 Fedora Update System 2017-02-26 23:19:00 UTC
scilab-6.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5dcb8891d

Comment 19 Fedora End Of Life 2017-02-28 09:33:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 20 Fedora End Of Life 2018-05-03 08:32:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2018-05-29 12:14:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.